Bug 1017782 - Generated freemarker forms need to be updated for jBPM6
Generated freemarker forms need to be updated for jBPM6
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Designer (Show other bugs)
6.0.0
Unspecified Unspecified
high Severity high
: ER5
: 6.0.0
Assigned To: Tihomir Surdilovic
Tomas Livora
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-10 09:44 EDT by Kris Verlaenen
Modified: 2014-08-06 16:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:13:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kris Verlaenen 2013-10-10 09:44:25 EDT
The freemarker forms generated from designer need to be updated for changes in jBPM6.  They do no longer require a complete button to be there (as this button is now part of the popup where the form is shown in.  Also need to verify that the process and task forms that are generated by default work well in jbpm-console (currently having issue with task form that passed process id is null).
Comment 1 Tihomir Surdilovic 2013-10-10 14:31:14 EDT
fixed in designer master and 6.0.x branches
commit - https://github.com/droolsjbpm/jbpm-designer/commit/c581acaf78557fc271d52556683d62d523a12386
Comment 3 Tomas Livora 2013-12-04 05:42:22 EST
Kris, could you be more specific about the issue? I mean the one with the process ID. Now I am not able to verify it as I do not know when it occured. I can only see that the button was removed.
Comment 4 Kris Verlaenen 2013-12-06 08:51:04 EST
@Tomas, the .ftl forms that you could generate with designer didn't work, they for example included a complete button (which they shouldn't anymore) and if you tried to start a process using them, it failed with error message 'passed process id is null'.

So to verify, if you are able to start a process using the .ftl forms generated from designer, it should be fine.
Comment 5 Tomas Livora 2013-12-09 03:10:08 EST
Verified on BPMS 6.0.0.ER5

Note You need to log in before you can comment on or make changes to this bug.